%define realname  DBD-InterBase

Name:    perl-%realname
Version: 0.43
Release: custom

Summary: DBI driver for InterBase RDBMS server
License: GPL
Group:   Development/Perl
Url:     http://dbi-interbase.sourceforge.net/

Source:  %url/%realname-%version.tar.gz
Patch:	 DBD-InterBase-0.43-custom-env.diff
AutoReqProv: no
BuildRequires: perl-DBI perl-devel

%description
DBI driver for Firebird and InterBase.

%prep
%setup -q -n %realname-%version
%patch

%build
export FB_USER=sysdba
export FB_PASS=masterkey
export FB_DB_PATH=localhost:/tmp/testdb.fdb
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/DBD*
%perl_vendor_autolib/DBD*
%perl_vendor_man3dir/*

